import 'babel-polyfill'
import App from './App'
import appcanui from 'appcanui-we'
import '@/common/main.less'
import '@/common/app.less'
import Index from '@/pages/demo/ACIndex'
import ACView from '@/pages/demo/ACView'

import ACButton from '@/pages/demo/ACButton'
import ACCheckbox from '@/pages/demo/ACCheckbox'
import ACForm from '@/pages/demo/ACForm'
import ACInput from '@/pages/demo/ACInput'
import ACScrollView from '@/pages/demo/ACScrollView'
import ACSwiper from '@/pages/demo/ACSwiper'
import ACText from '@/pages/demo/ACText'
import ACRadio from '@/pages/demo/ACRadio'
import ACSlider from '@/pages/demo/ACSlider'
import ACSwitch from '@/pages/demo/ACSwitch'
import ACTextarea from '@/pages/demo/ACTextarea'
import ACCanvas from '@/pages/demo/ACCanvas'
import ACPicker from '@/pages/demo/ACPicker'
import ACLabel from '@/pages/demo/ACLabel'
import transferApplicaltion from '@/pages/demo/transferApplicaltion'

import ACIcon from '@/pages/demo/ACIcon'
import ACPropress from '@/pages/demo/ACPropress'
import ACImage from '@/pages/demo/ACImage'
import ACVideo from '@/pages/demo/ACVideo'
import ACAudio from '@/pages/demo/ACAudio'
import ACTopText from '@/pages/demo/ACTopText'
import ACNavigator from '@/pages/demo/ACNavigator'

import ACAPI from '@/pages/demo/ACAPIindex'
import ACAPIsystemInfo from '@/pages/demo/ACAPIsystemInfo'
import ACAPIcall from '@/pages/demo/ACAPIcall'
import ACAPIstorage from '@/pages/demo/ACAPIstorage'
import ACAPIrequset from '@/pages/demo/ACAPIrequset'
import ACAPIimg from '@/pages/demo/ACAPIimg'
import ACAPInetworkStatus from '@/pages/demo/ACAPInetworkStatus'
import ACAPIscanCode from '@/pages/demo/ACAPIscanCode'
import ACAPIclipboard from '@/pages/demo/ACAPIclipboard'
import ACAPIscreenBrightness from '@/pages/demo/ACAPIscreenBrightness'
import ACAPIuserCaptureScreen from '@/pages/demo/ACAPIuserCaptureScreen'
import ACAPIvibrate from '@/pages/demo/ACAPIvibrate'
import ACAPIaccelerometer from '@/pages/demo/ACAPIaccelerometer'
import ACAPIcompass from '@/pages/demo/ACAPIcompass'
import ACAPIgetLocation from '@/pages/demo/ACAPIgetLocation'
import ACAPIchooseLocation from '@/pages/demo/ACAPIchooseLocation'
import ACAPIopenLocation from '@/pages/demo/ACAPIopenLocation'
import ACAPIfile from '@/pages/demo/ACAPIfile'
import ACAPIsqlite from '@/pages/demo/ACAPIsqlite'
import ACAPIrecord from '@/pages/demo/ACAPIrecord'
import ACAPIvoice from '@/pages/demo/ACAPIvoice'
import ACAPItoast from '@/pages/demo/ACAPItoast'
import ACAPIloading from '@/pages/demo/ACAPIloading'
import ACAPImodal from '@/pages/demo/ACAPImodal'
import ACAPIactionSheet from '@/pages/demo/ACAPIactionSheet'
import ACAPIvideo from '@/pages/demo/ACAPIvideo'
import ACAPIwebSocket from '@/pages/demo/ACAPIwebSocket'
import ACAPInavigationBar from '@/pages/demo/ACAPInavigationBar'
import ACAPIaliRequestPayment from '@/pages/demo/ACAPIaliRequestPayment'
import ACAPIuploadFile from '@/pages/demo/ACAPIuploadFile'
import ACAPItabBar from '@/pages/demo/ACAPItabBar'
import ACAPIdownloadFile from '@/pages/demo/ACAPIdownloadFile'
import ACAPIpageScrollTo from '@/pages/demo/ACAPIpageScrollTo'
import applicaltionAuthorization from '@/pages/demo/applicaltionAuthorization'
import ACAPIpullDownRefresh from '@/pages/demo/ACAPIpullDownRefresh'
import ACAPIbackground from '@/pages/demo/ACAPIbackground'


import Es6Promise from 'es6-promise'
Es6Promise.polyfill()


let op = {
  el: '#app',
  render: v => v(App),
  created() {},
  routes: [

    {
      path: '/',
      name: 'Index',
      component: Index
    },
    {
      path: '/pageScrollTo',
      name: 'pageScrollTo',
      component: ACAPIpageScrollTo
    },
    {
      path: '/background',
      name: 'ACAPIbackground',
      component: ACAPIbackground
    },
    {
      path: '/pullDownRefresh',
      name: 'pullDownRefresh',
      component: ACAPIpullDownRefresh
    },
    {
      path: '/applicaltionAuthorization',
      name: 'applicaltionAuthorization',
      component: applicaltionAuthorization
    },
    {
      path: '/transferApplicaltion',
      name: 'transferApplicaltion',
      component: transferApplicaltion
    },
    {
      path: '/ACTopText',
      name: 'ACTopText',
      component: ACTopText
    },
    {
      path: '/downloadFile',
      name: 'downloadFile',
      component: ACAPIdownloadFile
    },
    {
      path: '/tabBar',
      name: 'tabBar',
      component: ACAPItabBar
    },
    {
      path: '/uploadFile',
      name: 'uploadFile',
      component: ACAPIuploadFile
    },
    {
      path: '/aliRequestPayment',
      name: 'aliRequestPayment',
      component: ACAPIaliRequestPayment
    },
    {
      path: '/webSocket',
      name: 'webSocket',
      component: ACAPIwebSocket
    },
    {
      path: '/navigationBar',
      name: 'navigationBar',
      component: ACAPInavigationBar
    },
    {
      path: '/apiVideo',
      name: 'apiVideo',
      component: ACAPIvideo
    },
    {
      path: '/actionSheet',
      name: 'actionSheet',
      component: ACAPIactionSheet
    },
    {
      path: '/modal',
      name: 'modal',
      component: ACAPImodal
    },
    {
      path: '/loading',
      name: 'loading',
      component: ACAPIloading
    },
    {
      path: '/toast',
      name: 'toast',
      component: ACAPItoast
    },
    {
      path: '/voice',
      name: 'voice',
      component: ACAPIvoice
    },
    {
      path: '/record',
      name: 'record',
      component: ACAPIrecord
    },
    {
      path: '/sqlite',
      name: 'sqlite',
      component: ACAPIsqlite
    },
    {
      path: '/file',
      name: 'file',
      component: ACAPIfile
    },
    {
      path: '/openLocation',
      name: 'openLocation',
      component: ACAPIopenLocation

    },
    {
      path: '/chooseLocation',
      name: 'chooseLocation',
      component: ACAPIchooseLocation
    },
    {
      path: '/getLocation',
      name: 'getLocation',
      component: ACAPIgetLocation
    },
    {
      path: '/compass',
      name: 'compass',
      component: ACAPIcompass
    },
    {
      path: '/accelerometer',
      name: 'accelerometer',
      component: ACAPIaccelerometer
    },
    {
      path: '/vibrate',
      name: 'vibrate',
      component: ACAPIvibrate
    },
    {
      path: '/userCaptureScreen',
      name: 'userCaptureScreen',
      component: ACAPIuserCaptureScreen
    },
    {
      path: '/screenBrightness',
      name: 'screenBrightness',
      component: ACAPIscreenBrightness
    },
    {
      path: '/clipboard',
      name: 'clipboard',
      component: ACAPIclipboard
    },
    {
      path: '/scanCode',
      name: 'scanCode',
      component: ACAPIscanCode
    },
    {
      path: '/imgapi',
      name: 'ACAPIimg',
      component: ACAPIimg
    },
    {
      path: '/image',
      name: 'image',
      component: ACImage
    },
    {
      path: '/networkStatus',
      name: 'networkStatus',
      component: ACAPInetworkStatus
    },
    {
      path: '/requset',
      name: 'ACAPIrequset',
      component: ACAPIrequset
    },
    {
      path: '/storage',
      name: 'ACAPIstorage',
      component: ACAPIstorage
    },
    {
      path: '/call',
      name: 'ACAPIcall',
      component: ACAPIcall
    },
    {
      path: '/video',
      name: 'video',
      component: ACVideo
    },
    {
      path: '/audio',
      name: 'audio',
      component: ACAudio
    },
    {
      path: '/propress',
      name: 'propress',
      component: ACPropress
    },
    {
      path: '/icon',
      name: 'icon',
      component: ACIcon
    },
    {
      path: '/ACAPI',
      name: 'ACapi-index',
      component: ACAPI
    },
    {
      path: '/systemInfo',
      name: 'ACAPIsystemInfo',
      component: ACAPIsystemInfo
    },
    {
      path: '/view',
      name: 'view',
      component: ACView
    },
    {
      path: '/swiper',
      name: 'swiper',
      component: ACSwiper
    },
    {
      path: '/button',
      name: 'button',
      component: ACButton
    },
    {
      path: '/checkbox',
      name: 'checkbox',
      component: ACCheckbox
    },
    {
      path: '/form',
      name: 'form',
      component: ACForm
    },
    {
      path: '/input',
      name: 'input',
      component: ACInput
    },
    {
      path: '/scrollview',
      name: 'scrollview',
      component: ACScrollView
    },
    {
      path: '/text',
      name: 'text',
      component: ACText
    },
    {
      path: '/switch',
      name: 'switch',
      component: ACSwitch
    },
    {
      path: '/radio',
      name: 'radio',
      component: ACRadio
    },
    {
      path: '/slider',
      name: 'slider',
      component: ACSlider
    },
    {
      path: '/textarea',
      name: 'textarea',
      component: ACTextarea
    },
    {
      path: '/canvas',
      name: 'canvas',
      component: ACCanvas
    },
    {
      path: '/picker',
      name: 'picker',
      component: ACPicker
    },
    {
      path: '/label',
      name: 'label',
      component: ACLabel
    },
    {
      path: '/navigator',
      name: 'navigator',
      component: ACNavigator
    }
  ],
  config: {
    window: {
      navigationBarTitleText: 'AppCan 官方组件展示',
      navigationBarBackgroundColor: '#FAFAFA',
      navigationBarTextStyle: '#3b3b3b'
    },
    tabbar: {
      color: '#7A7E83',
      selectedColor: '#0074E8',
      borderStyle: 'black',
      backgroudColor: '#ffffff',
      list: [{
          pagePath: '/',
          iconPath: 'home',
          selecedIconPath: 'home',
          text: '组件'
        },
        {
          pagePath: '/ACAPI',
          iconPath: 'ucenter-outline',
          selecedIconPath: 'ucenter-outline',
          text: '接口'
        }
      ]
    }
  }

}

appcanui.start(op)
