// 识别AppCanUI为工程
var path = require('path')

function init(workSpace, callback) {
    var textfile = require('textfile')
    var copy = require('copy')
    var vscodePath = path.join(workSpace, '.vscode')
    var settingsPath = path.join(vscodePath, 'settings.json')
    function change() {
        textfile.read(settingsPath, 'json', data => {
            if(!data) {
                copy('*.json', vscodePath, {
                    cwd: __dirname
                }, (err, files) => {
                    if(err && typeof callback === 'function') {
                        callback(err)
                    } else {
                        change()
                    }
                })
                return
            }
            if(typeof data === 'object') {
                data['appcanui.enable'] = true
                if(data['files.associations']) {
                    data['files.associations']['*.vue'] = 'vue'
                } else {
                    data['files.associations'] = {
                        '*.vue': 'vue'
                    }
                }
                textfile.write(settingsPath, data, 'json', (err) => {
                    if(typeof callback === 'function') {
                        callback(err)
                    }
                })
            } else {
                if(typeof callback === 'function') {
                    callback('settings.json Error')
                }
            }
        })
    }
    change()
}
module.exports = init